      module Viogrl
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam, only: nprofm, nbwg
      integer   nwguid, nmod, nphase, isimm, ndim0, ndim1
      integer   joutrf, ireout, jumpw, jtest, ispec, ngra, itrans
      integer, dimension(2) :: nnk
      real(kind=dp)   aksupw
      real(kind=dp)   rtot, trans
      real(kind=dp)   freqcy,width,dwall,heigth,dnedge,dndx,dxpl,
     1   phmin,phmax
      real(kind=dp), dimension(2,1500) :: px, sumpx, bk
      real(kind=dp), dimension(nbwg) :: refl
      real(kind=dp), dimension(2) :: ddk
      real(kind=dp), dimension(nprofm) :: radius
      complex, dimension(nbwg) :: calfa
      end module Viogrl
